### Method

# GtkSource MarkAttributes set_gicon

#### Declaration [src]

    void
    gtk_source_mark_attributes_set_gicon (
      GtkSourceMarkAttributes* attributes,
      GIcon* gicon
    )

#### Description [src]

Sets an icon to be used as a base for rendered icon.

Sets property | `GtkSource.MarkAttributes:gicon`

#### Parameters

`gicon`

  Type: `GIcon`

  A `GIcon` to be used.

  The data is owned by the caller of the method.